<bugID>544227<Summary>After restart of Firefox,the last item of the bookmarks toolbar is replaced by chevron</Summary><Description>User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 6.1; en-US; rv:1.9.2.2pre) Gecko/20100203 Firefox/3.6.2
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 6.1; en-US; rv:1.9.2.2pre) Gecko/20100203 Namoroka/3.6.2pre ID:20100203055233

I arrange much bookmarks in bookmark toolbar and narrow window so that cheveron is not shown.

Restart Firefox, then the last item will disappear. but cheveron appear.

Reproducible: Always

Steps to Reproduce:
1.Start Firefox 3.6 with clean profile
2.Narrow window so that cheveron is not shown and there is not the space of the right-side end.
3.Restart Firefox

Actual Results:  
the last item will disappear. but cheveron appear.


Expected Results:  
the last item should not disappear. and cheveron should not appear.</Description></bugID>